/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef __CONSOLE__
#define __CONSOLE__

extern	int			con_totallines;
extern	int			con_backscroll;
extern	qboolean	con_forcedup;
extern	qboolean	con_initialized;

void Con_Init				(void);
void Con_Clear_f			(void);
void Con_DrawNotify			(void);
void Con_CheckResize		(void);
void Con_ClearNotify		(void);
void Con_DrawConsole		(void);
void Con_ToggleConsole_f	(void);
void Con_Print				(char *txt);
void Con_Printf				(char *fmt, ...);
void Con_DPrintf			(char *fmt, ...);
void Con_SafePrintf			(char *fmt, ...);

#endif //__CONSOLE__
